##### basic_socket_acceptor::wait (1 of 2 overloads)

Wait for the acceptor to become ready to read, ready to write, or to have pending error conditions.

    void wait(
        wait_type w);

This function is used to perform a blocking wait for an acceptor to enter a ready to read, write or error condition state.

###### Parameters

w

  Specifies the desired acceptor state.

###### Example

Waiting for an acceptor to become readable.

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    acceptor.wait(asio::ip::tcp::acceptor::wait_read);